## liggghts 3.7.0+repack1

=== src/Makefile ===
# LAMMPS multiple-machine Makefile

SHELL = /bin/bash
#.IGNORE:

# Subtargets for makefile auto
SUBTARGET = $@
OPTIONSPOSTFIX =
ifneq ($(origin postfix), undefined)
    ifneq (${postfix}, )
        ifneq (,$(filter $(MAKECMDGOALS), auto clean-auto))
            ifeq (${postfix}, default)
                $(error A postfix value of "default" is not allowed)
            endif
            SUBTARGET = $@"_"${postfix}
            OPTIONSPOSTFIX = _${postfix}
        endif
    endif
endif

# Definitions

ROOT =	lmp
EXE =	$(ROOT)_${SUBTARGET}
SRC =	$(wildcard *.cpp)
INC =	$(wildcard *.h)
OBJ = 	$(SRC:.cpp=.o)

# Package variables

PACKAGE = asphere cohesionmodels molecule pascal poems rigid surfacemodels voronoi

PACKUSER = 

PACKLIB = poems voronoi 

PACKALL = $(PACKAGE) $(PACKUSER)

PACKAGEUC = $(shell echo $(PACKAGE) | tr a-z A-Z)
PACKUSERUC = $(shell echo $(PACKUSER) | tr a-z A-Z)

YESDIR = $(shell echo $(@:yes-%=%) | tr a-z A-Z)
NODIR  = $(shell echo $(@:no-%=%) | tr a-z A-Z)

# List of all targets

help:
	@echo ''
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'
	@echo 'make purge               purge obsolete copies of package sources'
	@echo 'make tar                 create lmp_src.tar.gz of src dir and packages'
	@echo 'make makelib             create Makefile.lib for static library build'
	@echo 'make makeshlib           create Makefile.shlib for shared library build'
	@echo 'make makelist            create Makefile.list used by old makes'
	@echo 'make -f Makefile.lib machine      build LAMMPS as static library for machine'
	@echo 'make -f Makefile.shlib machine    build LAMMPS as shared library for machine'
	@echo 'make -f Makefile.list machine     build LAMMPS from explicit list of files'
	@echo 'make stubs               build dummy MPI library in STUBS'
	@echo 'make install-python      install LAMMPS wrapper in Python'
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo 'make no-lib              remove all packages with external libs'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo 'make package-diff        diff src files against package files'
	@echo ''
	@echo 'make machine             build LAMMPS where machine is one of:'
	@echo ''
	@files="`ls MAKE/ -I Makefile.user* -I Makefile.user_default -I CMakeLists_Catalyst.txt -I Makefile.auto.options* -I deprecated`"; \
	  for file in $$files; do head -1 MAKE/$$file; done
	@echo ''

# Build the code

.DEFAULT:
	@test -f MAKE/Makefile.$@
	@if [ ! -d Obj_${SUBTARGET} ]; then mkdir Obj_${SUBTARGET}; fi
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh models
	@cp MAKE/Makefile.$@ Obj_${SUBTARGET}/Makefile
	@if [ ! -e Makefile.package ]; \
	  then cp Makefile.package.empty Makefile.package; fi
	@if [ ! -e Makefile.package.settings ]; \
	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
	@cp Makefile.package Makefile.package.settings Obj_${SUBTARGET}
	@cd Obj_${SUBTARGET}; \
	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
	  "EXE = ../$(EXE)" ../$(EXE)

# Remove machine-specific object files

clean:
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'

clean-all:
	rm -rf Obj_* *.a *.so MAKE/Makefile.auto.options* $(ROOT)_*

clean-%:
	rm -rf Obj_$(@:clean-%=%)$(OPTIONSPOSTFIX) MAKE/Makefile.$(@:clean-%=%).options$(OPTIONSPOSTFIX) $(ROOT)_$(@:clean-%=%)$(OPTIONSPOSTFIX) lib$(ROOT)_$(@:clean-%=%)$(OPTIONSPOSTFIX).a lib$(ROOT)_$(@:clean-%=%)$(OPTIONSPOSTFIX).so

purge: Purge.list
	@echo 'Purging obsolete and auto-generated source files'
	@for f in `grep -v '#' Purge.list` ;		\
	    do test -f $$f && rm $$f && echo $$f || : ;		\
	done

# Create a tarball of src dir and packages

tar:
	@cd STUBS; make clean
	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
	  src/Make* src/Package.sh src/MAKE src/*.cpp src/*.h src/STUBS \
	  $(patsubst %,src/%,$(PACKAGEUC)) $(patsubst %,src/%,$(PACKUSERUC)) \
          --exclude=*/.svn
	@cd STUBS; make
	@echo "Created $(ROOT)_src.tar.gz"

# Make MPI STUBS library

stubs:
	@cd STUBS; make clean; make

# Create Makefile.lib, Makefile.shlib, and Makefile.list

makelib:
	@$(SHELL) Make.sh style

makeshlib:
	@$(SHELL) Make.sh style

makelist:
	@$(SHELL) Make.sh style

# install LAMMPS shared lib and Python wrapper for Python usage

install-python:
	@python ../python/install.py

# Package management

package:
	@echo 'Standard packages:' $(PACKAGE)
	@echo ''
	@echo 'User-contributed packages:' $(PACKUSER)
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo 'make no-lib              remove all packages with external libs'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo 'make package-diff        diff src files against package file'

yes-all:
	@for p in $(PACKALL); do $(MAKE) yes-$$p; done

no-all:
	@for p in $(PACKALL); do $(MAKE) no-$$p; done

yes-standard:
	@for p in $(PACKAGE); do $(MAKE) yes-$$p; done

no-standard:
	@for p in $(PACKAGE); do $(MAKE) no-$$p; done

yes-user:
	@for p in $(PACKUSER); do $(MAKE) yes-$$p; done

no-user:
	@for p in $(PACKUSER); do $(MAKE) no-$$p; done

no-lib:
	@for p in $(PACKLIB); do $(MAKE) no-$$p; done

yes-%:
	@if [ ! -e Makefile.package ]; \
	  then cp Makefile.package.empty Makefile.package; fi
	@if [ ! -e Makefile.package.settings ]; \
	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
	@if [ ! -e $(YESDIR) ]; then \
	  echo "Package $(@:yes-%=%) does not exist"; \
	elif [ -e $(YESDIR)/Install.sh ]; then \
	  echo "Installing package $(@:yes-%=%)"; \
	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; \
		$(SHELL) Depend.sh $(YESDIR) 1; \
	else \
	  echo "Installing package $(@:yes-%=%)"; \
	  cd $(YESDIR); $(SHELL) ../Install.sh 1; cd ..; \
		$(SHELL) Depend.sh $(YESDIR) 1; \
	fi;

no-%:
	@if [ ! -e $(NODIR) ]; then \
	  echo "Package $(@:no-%=%) does not exist"; \
	elif [ -e $(NODIR)/Install.sh ]; then \
	  echo "Uninstalling package $(@:no-%=%)"; \
	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; \
		$(SHELL) Depend.sh $(NODIR) 0; \
	else \
	  echo "Uninstalling package $(@:no-%=%)"; \
	  cd $(NODIR); $(SHELL) ../Install.sh 0; cd ..; \
		$(SHELL) Depend.sh $(NODIR) 0; \
        fi;

# status = list src files that differ from package files
# update = replace src files with newer package files
# overwrite = overwrite package files with newer src files
# diff = show differences between src and package files

package-status:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p status; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p status; done

package-update:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p update; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p update; done

package-overwrite:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p overwrite; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p overwrite; done

package-diff:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p diff; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p diff; done

=== debian/changelog ===
liggghts (3.7.0+repack1-1) unstable; urgency=medium

  * [56c1d27] Drop windows-files from the source.
  * [a769922] Filter some js-files from the source.
  * [e042cd2] New upstream version 3.7.0+repack1
  * [d14defe] Refresh patches, remove uneeded ones.
  * [8812f5f] Set maximal hardening level.

 -- Anton Gladky <gladk@debian.org>  Tue, 18 Jul 2017 00:15:56 +0200

liggghts (3.5.0+repack1-10) unstable; urgency=medium

  * [e2a6253] Better fix for the bug, fixed in previous upload.
              Thanks, Graham

 -- Anton Gladky <gladk@debian.org>  Thu, 19 Jan 2017 18:58:57 +0100

=== debian/control ===
Source: liggghts
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-mpi-dev,
               libeigen3-dev,
               libjpeg-dev,
               libpython-dev,
               libqt4-opengl-dev,
               libvtk6-dev,
               mpi-default-bin,
               mpi-default-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/liggghts.git
Homepage: http://www.liggghts.com/

Package: libliggghts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libliggghts3 (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source DEM Particle Simulation Software. Development files
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains development files.

Package: libliggghts3
Architecture: any
Multi-Arch: same
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source DEM Particle Simulation Software. Shared library
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains shared library.

Package: liggghts
Architecture: any
Multi-Arch: foreign
Depends: libliggghts3 (>= ${source:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.

Package: liggghts-doc
Architecture: all
Section: doc
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liggghts
Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains documentation and examples.

## liggghts 3.8.0%2Brepack1

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

disable_auto_test_archs_simpl = armel armhf mips64el
disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test
	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; mpirun -np 2 --allow-run-as-root --oversubscribe $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simpl)))
	mkdir test
	cp -r  examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/ -name ".gitignore" | xargs rm -f

## liggghts 3.8.0+repack1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS     ?=
SPHINXBUILD    ?= sphinx-build
PAPER          ?=
GIT            ?= git
TXT2RST        ?= txt2rst
BUILDDIR       ?= _build
TMPDIR         ?= _tmp
SPHINXTHEMEDIR ?= $(PWD)/$(TMPDIR)/sphinx_rtd_theme
# Downloads for external utilities
TXT2RST_URL     = https://github.com/CFDEMproject/lammps-doc-utils.git
SPHINXTHEME_URL = https://github.com/CFDEMproject/sphinx_rtd_theme.git

# User-friendly check for sphinx-build
ifneq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 0)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don`t have Sphinx installed, grab it from http://sphinx-doc.org/. If you use Ubuntu or Debian you might be able to install it using 'sudo apt-get install python-sphinx')
endif

# Check for installed git
GITINSTALLED = 1
ifneq ($(shell which $(GIT) >/dev/null 2>&1; echo $$?), 0)
GITINSTALLED = 0
endif

UTILITY_CHECK = 1
ifeq ($(MAKECMDGOALS), )
UTILITY_CHECK = 0
else
ifneq (,$(filter $(MAKECMDGOALS), help clean clean-all))
UTILITY_CHECK = 0
endif
endif

ifeq ($(UTILITY_CHECK), 1)
# Find txt2rst or install it if possible
ifneq ($(shell which $(TXT2RST) >/dev/null 2>&1; echo $$?), 0)
# Check if it exists in default temporary directory
ifneq ("$(wildcard $(TMPDIR)/lammps-doc-utils/bin/txt2rst)", "")
TXT2RST=$(TMPDIR)/lammps-doc-utils/bin/txt2rst
$(warning Found txt2rst in '$(TMPDIR)/lammps-doc-utils/bin/txt2rst' and using this version. Use 'make clean-all' to remove it)
else
# If git is not available we can't do anything
ifeq ($(GITINSTALLED), 0)
$(error Could not find '$(TXT2RST)' and '$(GIT)' is not present either. Please install either the txt2rst utility from $(TXT2RST_URL), change the TXT2RST environment variable or add the directory containing your txt2rst to the PATH variable. Alternatively, you can install '$(GIT)' and run this makefile again to install txt2rst automatically. If '$(GIT)' is already installed ensure that it points to the correct path or add the directory containing your git executable to the PATH variable.)
# else we can download it
else
# create temporary folder
ifneq ($(shell mkdir -p $(TMPDIR) >/dev/null 2>&1; echo $$?), 0)
$(error Could not create $(TMPDIR))
endif
# download git repository
ifneq ($(shell git clone $(TXT2RST_URL) $(TMPDIR)/lammps-doc-utils >/dev/null 2>&1; echo $$?), 0)
$(error Could not download lammps-doc-utils that provides txt2rst. Please install the utility manually)
endif
# check if file is available now
TXT2RST=$(TMPDIR)/lammps-doc-utils/bin/txt2rst
ifneq ($(shell which $(TXT2RST) >/dev/null 2>&1; echo $$?), 0)
$(error Unknown error in txt2rst installation. Please install the utility manually)
endif
$(warning Successfully downloaded txt2rst and installed it in the $(TMPDIR) directory)
endif
# end of download (git available)
endif
# end of not in default dir
endif
# end of not in specified dir

# Check if the sphinx theme is available
ifeq ("$(wildcard $(SPHINXTHEMEDIR)/sphinx_rtd_theme/__init__.py)", "")
# Set to default directory
SPHINXTHEMEDIR=$(PWD)/$(TMPDIR)/sphinx_rtd_theme
ifneq ("$(wildcard $(SPHINXTHEMEDIR)/sphinx_rtd_theme/__init__.py)", "")
$(warning Found sphinx_rtd_theme in default $(TMPDIR) directory and using this version. Use 'make clean-all' to remove it)
else
# If git is not available we can't do anything
ifeq ($(GITINSTALLED), 0)
$(error Could not find sphinx_rtd_theme and '$(GIT)' is not present either. Please install either sphinx_rtd_theme from $(SPHINXTHEME_URL) or change the SPHINXRTDTHEMEDIR environment variable. Alternatively, you can install '$(GIT)' and run this makefile again to install sphinx_rtd_theme automatically. If '$(GIT)' is already installed ensure that it points to the correct path or add the directory containing your git executable to the PATH variable.)
# else we can download it
else
# create temporary folder
ifneq ($(shell mkdir -p $(TMPDIR) >/dev/null 2>&1; echo $$?), 0)
$(error Could not create $(TMPDIR))
endif
# download git repository
ifneq ($(shell git clone $(SPHINXTHEME_URL) $(TMPDIR)/sphinx_rtd_theme >/dev/null 2>&1; echo $$?), 0)
$(error Could not download sphinx_rtd_theme. Please install the theme manually from $(SPHINXTHEME_URL))
endif
# check if file is available now
#ifeq ("$(wildcard $(SPHINXTHEMEDIR)/sphinx_rtd_theme/__init__.py)", "")
#$(error Unknown error in the sphinx_rtd_theme installation. Please install the theme manually from $(SPHINXTHEME_URL))
#endif
$(warning Successfully downloaded the sphinx_rtd_theme and installed it in the $(TMPDIR) directory)
endif
# end of download (git available)
endif
# end of not in default dir
endif
# end of not in specified dir
endif
# end of UTILITY_CHECK

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean clean-all html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext generate-rst

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  clean      to remove all generated files"
	@echo "  clean-all  to remove all generated and temporary files"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* *.rst

clean-all: clean
	rm -rf $(TMPDIR)/lammps-doc-utils $(TMPDIR)/sphinx_rtd_theme _themes/sphinx_rtd_theme

generate-rst:
	@mkdir -p _themes
	@rm -rf _themes/sphinx_rtd_theme
	@ln -s $(SPHINXTHEMEDIR)/sphinx_rtd_theme _themes/
	$(TXT2RST) *txt

html: generate-rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: generate-rst
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: generate-rst
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: generate-rst
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: generate-rst
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: generate-rst
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: generate-rst
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LIGGGHTS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LIGGGHTS.qhc"

devhelp: generate-rst
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LIGGGHTS"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LIGGGHTS"
	@echo "# devhelp"

epub: generate-rst
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: generate-rst
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: generate-rst
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: generate-rst
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: generate-rst
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: generate-rst
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: generate-rst
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: generate-rst
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: generate-rst
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes: generate-rst
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: generate-rst
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: generate-rst
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: generate-rst
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: generate-rst
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== src/CMakeLists.txt ===
PROJECT(LIGGGHTS C CXX)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

SET(LIGGGHTS_MAJOR_VERSION 3)
SET(LIGGGHTS_MINOR_VERSION 7)
SET(LIGGGHTS_PATCH_VERSION 0)
SET(LIGGGHTS_VERSION ${LIGGGHTS_MAJOR_VERSION}.${LIGGGHTS_MINOR_VERSION}.${LIGGGHTS_PATCH_VERSION})

IF (NOT CMAKE_CXX_FLAGS)
  IF(CMAKE_COMPILER_IS_GNUCXX)
    SET(CMAKE_CXX_FLAGS "-O2 -funroll-loops -fstrict-aliasing -Wall -Wno-uninitialized -std=c++11 -Wno-literal-suffix -fPIC")
  ENDIF()
ENDIF()

FILE(GLOB SOURCES *.cpp)
FILE(GLOB HEADERS *.h)

#LIST(REMOVE_ITEM SOURCES main.cpp)

IF(WIN32)
  #include (GenerateExportHeader)
  INCLUDE_DIRECTORIES(WINDOWS/extra)
  ADD_DEFINITIONS(-D_USE_MATH_DEFINES -DNOMINMAX)

  IF(MSVC)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
  ENDIF()

  FIND_PACKAGE(Cygwin REQUIRED)

  ADD_CUSTOM_TARGET(GenerateHeaders
           COMMAND GenerateHeaders.bat ${CYGWIN_INSTALL_PATH}
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/WINDOWS)
  # enable parallelization
  foreach(flag_var
          CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
          CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
            set(${flag_var} "${${flag_var}} /MP4")
  endforeach()
ELSE()
  ADD_CUSTOM_TARGET(GenerateHeaders
           COMMAND sh Make.sh style
           COMMAND sh Make.sh models
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
ENDIF()

ADD_LIBRARY(liggghts_obj OBJECT ${SOURCES})
ADD_DEPENDENCIES(liggghts_obj GenerateHeaders)

ADD_LIBRARY(liggghts_static STATIC $<TARGET_OBJECTS:liggghts_obj>)
SET_TARGET_PROPERTIES(liggghts_static PROPERTIES OUTPUT_NAME liggghts)
SET_PROPERTY(TARGET liggghts_static PROPERTY PUBLIC_HEADER ${HEADERS})

ADD_LIBRARY(liggghts_shared SHARED $<TARGET_OBJECTS:liggghts_obj>)
SET_TARGET_PROPERTIES(liggghts_shared PROPERTIES OUTPUT_NAME liggghts)
SET_PROPERTY(TARGET liggghts_shared PROPERTY PUBLIC_HEADER ${HEADERS})

#ADD_EXECUTABLE(liggghts_bin main.cpp)
#TARGET_LINK_LIBRARIES(liggghts_bin liggghts)
ADD_EXECUTABLE(liggghts_bin $<TARGET_OBJECTS:liggghts_obj>)
SET_TARGET_PROPERTIES(liggghts_bin PROPERTIES OUTPUT_NAME liggghts)

#=======================================

FIND_PACKAGE(VTK NO_MODULE)

IF(VTK_FOUND)
  INCLUDE(${VTK_USE_FILE})
  ADD_DEFINITIONS(-DLAMMPS_VTK)
  TARGET_LINK_LIBRARIES(liggghts_static ${VTK_LIBRARIES})
  TARGET_LINK_LIBRARIES(liggghts_shared ${VTK_LIBRARIES})
  TARGET_LINK_LIBRARIES(liggghts_bin ${VTK_LIBRARIES})
  MESSAGE(STATUS "Found VTK")
ELSE(VTK_FOUND)
  MESSAGE(STATUS "VTK NOT found!")
ENDIF(VTK_FOUND)

#=======================================

FIND_PACKAGE(JPEG)

IF(JPEG_FOUND)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
  ADD_DEFINITIONS(-DLAMMPS_JPEG)
  TARGET_LINK_LIBRARIES(liggghts_static jpeg)
  TARGET_LINK_LIBRARIES(liggghts_shared jpeg)
  TARGET_LINK_LIBRARIES(liggghts_bin jpeg)
ELSE(JPEG_FOUND)
  MESSAGE(STATUS "JPEG NOT found!")
ENDIF(JPEG_FOUND)

#=======================================

FIND_PACKAGE(MPI)

IF(MPI_FOUND)
  INCLUDE_DIRECTORIES(${MPI_INCLUDE_PATH})
  TARGET_LINK_LIBRARIES(liggghts_static ${MPI_LIBRARIES})
  TARGET_LINK_LIBRARIES(liggghts_shared ${MPI_LIBRARIES})
  TARGET_LINK_LIBRARIES(liggghts_bin ${MPI_LIBRARIES})

  IF(MPI_COMPILE_FLAGS)
    SET_TARGET_PROPERTIES(liggghts_static PROPERTIES COMPILE_FLAGS "${MPI_COMPILE_FLAGS}")
    SET_TARGET_PROPERTIES(liggghts_shared PROPERTIES COMPILE_FLAGS "${MPI_COMPILE_FLAGS}")
    SET_TARGET_PROPERTIES(liggghts_bin PROPERTIES COMPILE_FLAGS "${MPI_COMPILE_FLAGS}")
  ENDIF()

  IF(MPI_LINK_FLAGS)
    SET_TARGET_PROPERTIES(liggghts_static PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}")
    SET_TARGET_PROPERTIES(liggghts_shared PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}")
    SET_TARGET_PROPERTIES(liggghts_bin PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}")
  ENDIF()
ELSE(MPI_FOUND)
  MESSAGE(STATUS "MPI NOT found! Using MPI Stubs instead.")
  ADD_SUBDIRECTORY(STUBS)
  TARGET_LINK_LIBRARIES(liggghts_static mpi_stubs)
  TARGET_LINK_LIBRARIES(liggghts_shared mpi_stubs)
  TARGET_LINK_LIBRARIES(liggghts_bin mpi_stubs)
ENDIF(MPI_FOUND)

#=======================================

#install(TARGETS liggghts liggghts_bin
#        RUNTIME DESTINATION bin
#        LIBRARY DESTINATION lib)

#install(TARGETS liggghts_bin
#        RUNTIME DESTINATION bin
#        LIBRARY DESTINATION lib)

install(TARGETS liggghts_bin liggghts_static liggghts_shared
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        PUBLIC_HEADER DESTINATION include)
IF (WIN32)
    install(DIRECTORY WINDOWS DESTINATION include)
ENDIF()

=== src/Makefile ===
--- 
+++ 
@@ -4,16 +4,35 @@
 #.IGNORE:
 
 # Subtargets for makefile auto
-SUBTARGET = $@
-OPTIONSPOSTFIX =
+SUBTARGET_PRE_DEBUG = $(@)
+OPTIONSPOSTFIX_PRE_DEBUG =
 ifneq ($(origin postfix), undefined)
     ifneq (${postfix}, )
         ifneq (,$(filter $(MAKECMDGOALS), auto clean-auto))
             ifeq (${postfix}, default)
                 $(error A postfix value of "default" is not allowed)
             endif
-            SUBTARGET = $@"_"${postfix}
-            OPTIONSPOSTFIX = _${postfix}
+            SUBTARGET_PRE_DEBUG = $@_${postfix}
+            OPTIONSPOSTFIX_PRE_DEBUG = _${postfix}
+        endif
+    endif
+endif
+SUBTARGET = $(SUBTARGET_PRE_DEBUG)
+OPTIONSPOSTFIX = $(OPTIONSPOSTFIX_PRE_DEBUG)
+ifneq ($(origin debug), undefined)
+    ifneq (${debug}, )
+        ifneq (,$(filter $(MAKECMDGOALS), auto clean-auto))
+            ifeq (,$(filter $(debug), ON FULL))
+                $(error Only values for debug are "ON" and "FULL")
+            endif
+            ifeq (${debug},ON)
+                SUBTARGET = $(SUBTARGET_PRE_DEBUG)-debug
+                OPTIONSPOSTFIX = $(OPTIONSPOSTFIX_PRE_DEBUG)-debug
+            endif
+            ifeq (${debug},FULL)
+                SUBTARGET = $(SUBTARGET_PRE_DEBUG)-fulldebug
+                OPTIONSPOSTFIX = $(OPTIONSPOSTFIX_PRE_DEBUG)-fulldebug
+            endif
         endif
     endif
 endif

=== debian/changelog ===
liggghts (3.8.0+repack1-7) unstable; urgency=medium

  [ Anton Gladky ]
  * [984ea96] Let reprotest fail
  * [67f38aa] Add Rules-Requires-Root: no

  [ Helmut Grohne ]
  * [b510414] Support DEB_BUILD_OPTIONS=nocheck. (Closes: #943310)
  * [fd665f2] Do not use not use MPI_C_COMPILER or MPI_CXX_COMPILER
    (Closes: #943313)

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Jun 2020 23:24:34 +0200

liggghts (3.8.0+repack1-6) unstable; urgency=medium

  * [db8d4d8] Trim trailing whitespace.
  * [e5d9a66] Bump debhelper from old 11 to 12.
  * [1ce0a3d] Set debhelper-compat version in Build-Depends.
  * [249f192] Update standards version to 4.5.0, no changes needed.
  * [379ddc7] Fix manpage. (Closes: #963449)
  * [bbccc13] Add debian/.gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Jun 2020 23:16:30 +0200

liggghts (3.8.0+repack1-5) unstable; urgency=medium

  * Team upload.
  * Drop unused libpython-dev dependency (Closes: #936944).

 -- Stuart Prescott <stuart@debian.org>  Tue, 21 Jan 2020 13:11:38 +1100

liggghts (3.8.0+repack1-4) unstable; urgency=medium

  * [b42dedf] Update CMakeListst. (Closes: 917500)

 -- Anton Gladky <gladk@debian.org>  Tue, 22 Jan 2019 20:40:32 +0100

liggghts (3.8.0+repack1-3) unstable; urgency=medium

  * [5cb8750] Set LC_ALL=C in d/rules. (Closes: #917500)

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Jan 2019 23:56:07 +0100

liggghts (3.8.0+repack1-2) unstable; urgency=medium

  * [8bc3eb8] Remove qt4-framework from deps. (Closes: #875028)
  * [5ae1881] Update standards-version to 4.3.0

 -- Anton Gladky <gladk@debian.org>  Sat, 19 Jan 2019 15:42:41 +0100

liggghts (3.8.0+repack1-1) unstable; urgency=medium

  * [77bb37d] Update patches
  * [9c9888d] Apply cme fix dpkg
  * [2a69e72] Add allow-run-as-root option
  * [a0fb4a3] Remove unneeded fields in d/control and d/rules
  * [211b0af] Use packaged version of the js-libs
  * [4ecc15e] Fix typo in d/changelog
  * [b9e4366] Update d/watch
  * [15fd630] New upstream version 3.8.0+repack1

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Dec 2018 20:53:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,19 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
-Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                libboost-mpi-dev,
                libeigen3-dev,
                libjpeg-dev,
-               libpython-dev,
-               libqt4-opengl-dev,
                libvtk6-dev,
                mpi-default-bin,
                mpi-default-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/liggghts.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/liggghts
+Vcs-Git: https://salsa.debian.org/science-team/liggghts.git
 Homepage: http://www.liggghts.com/
 
 Package: libliggghts-dev
@@ -83,11 +81,12 @@
 Package: liggghts-doc
 Architecture: all
 Section: doc
-Depends: mpi-default-bin,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libjs-jquery,
+         libjs-underscore
 Recommends: liggghts
-Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
+Description: Open Source DEM Particle Simulation Software. Documentation and examples
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
  .

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,14 @@
 	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)
 
 export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 disable_auto_test_archs_simpl = armel armhf mips64el
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
 	mkdir test
 	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
@@ -23,6 +25,7 @@
 	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
 	rm -rf test
 endif
+endif
 
 override_dh_installexamples:
 	dh_installexamples
